Skip to main content
GET
Delete API Key

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

api_key_id
string
required

ID of api key.

Response

Response with status 200

An API key presented as a bearer token in the Authorization header.

type
enum<string>
required
Available options:
bearer
api_key_id
string
required

ID of api key.

prefix
string
required

Prefix of api key.

name
string
required

Name of api key.

created_at
string<date-time>
required

Time at which api key was created.

updated_at
string<date-time>
required

Time at which api key was last updated.

pod_id
string

Pod ID the api key is scoped to. If set, the key can only access resources within this pod.

inbox_id
string

Inbox ID the api key is scoped to. If set, the key can only access resources within this inbox.

used_at
string<date-time>

Time at which api key was last used.

permissions
ApiKeyPermissions · object

Granular permissions for the API key. When ommitted all permissions are granted. Otherwise, only permissions set to true are granted.

expires_at
string<date-time>

Time at which api key expires. Omitted when it does not expire.